blenderでanaconda系のライブラリを使うためにpython3.5のenvironmentを作ってsite-packages以下をシンボリックリンクでblender pythonから扱えるようにしている人は多いと思うのですが、blenderが2.78から2.79になるタイミングでいろいろライブラリの不整合がありました。

その一つは、blenderでpandasをimportしようとしたときに

pandas has no attribute ‘core’

エラーが出るというものでした。

結論としては、python 3.5のenvironment内のpipを使って

pip install --upgrade pandas

でpandasを最新の0.22にアップグレードしたところ解決しました。

関連記事

こうして『宇宙よりも遠い場所』は僕の人生の一部となった(ネタバレあり)

さくらvpsでNEMスーパーノード構築 その2

簡単なCLIアプリやバッチ処理用のPythonのテンプレート

さくらvpsでNEMスーパーノード構築 その1

Zortrax M200の故障対応とかメンテとか

arduino互換品のアップグレードパーツ

コメント

コメントを返信する

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です